Bug 1008859 - External imports are blank
External imports are blank
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER6
: 6.0.0
Assigned To: Toni Rikkola
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 04:25 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manstis: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-09-17 04:25:42 EDT
Description of problem:
In the Technical view, you can find project.imports. The open in editor named 'External imports'. There is nothing visible, even if you have some imports defined.

I'd expect some information visible when I open such a file.
Comment 1 manstis 2013-09-20 04:03:26 EDT
Where do you have "some imports defined"? The "External Imports" file contains imports defined on the Project Editor, not the file editor itself. 

"External Imports" give the user a way to include the *possibility* of adding JRE classes (such as java.util.List etc) to the classes available to import in a file's editor. 

For example; if you want to use java.util.List you'd need to add it as an "External Import" on the Project Editor first. This makes the type available to the whole workbench. The you'd need to add java.util.List as an import on whatever editor needs to use the class.
Comment 2 Zuzana Krejčová 2013-09-20 04:25:35 EDT
(In reply to manstis from comment #1)
> Where do you have "some imports defined"? 

1. I select a project and open the Project Editor/Screen.
2. In there, I switch to Imports: Import Suggestions.
3. Click New Item and type e.g. java.util.List.
4. Click File -> Save.

If I reopen the Project Editor/Screen and again go to Imports: Import Suggestions, java.util.List is there. If I go to Technical view and open the project.imports, it is blank.
I might not understand this correctly, but I'd expect that adding something in the import section of the Project Editor for the currently selected project would be reflected in the file named project.imports.

If the classes added this way only appear in the file after you import them in some asset editor, then we need to at least document this. With the way the file and the Project Editor imports section are named, it is a bit confusing.
Comment 3 manstis 2013-09-20 04:30:07 EDT
@Toni, Comment #2 surprises me.. if an "Import Suggestion" is created, saved and verified to have been saved (i.e. the screen re-loads correctly); I'd expect project.imports to contain something! Are Zuzana and I missing something?
Comment 4 Zuzana Krejčová 2013-09-20 04:35:26 EDT
(In reply to manstis from comment #3)
> @Toni, Comment #2 surprises me.. if an "Import Suggestion" is created, saved
> and verified to have been saved (i.e. the screen re-loads correctly); I'd
> expect project.imports to contain something! Are Zuzana and I missing
> something?

I have looked into the repo/project and the project.imports file does contain this:

<configuration>
  <imports>
    <imports>
      <import>
        <type>java.util.List</type>
      </import>
    </imports>
  </imports>
  <version>1.0</version>
</configuration>

It's just that nothing is displayed in the GUI.
Comment 8 Zuzana Krejčová 2014-01-07 12:30:39 EST
Verified with ER7.

Note You need to log in before you can comment on or make changes to this bug.